# BASE

## VulpeFI Swap API <mark style="background-color:purple;">1.0</mark>

<https://api.vulpeFI.io/swagger/base-json>

### Ethereum Network

Using VulpeFI Swap API, you can find the best route to exchange assets and make the exchange.\
\
Step by step:

1. Lookup addresses of tokens you want to swap, for example ‘0xxx’ , ‘0xxxx’ for DAI -> VULPE
2. Check for allowance of 1inch router contract to spend source asset (/approve/allowance)
3. If necessary, give approval for 1inch router to spend source token (/approve/transaction)
4. Monitor the best exchange route using (/quote)
5. When you ready use to perform swap (/swap)

### Swap

{% openapi src="<https://api.1inch.io/swagger/avalanche-json>" path="/v5.2/43114/quote" method="get" %}
<https://api.1inch.io/swagger/avalanche-json>
{% endopenapi %}

{% openapi src="<https://api.1inch.io/swagger/avalanche-json>" path="/v5.2/43114/swap" method="get" %}
<https://api.1inch.io/swagger/avalanche-json>
{% endopenapi %}

{% openapi src="<https://api.1inch.io/swagger/avalanche-json>" path="/v5.2/43114/approve/spender" method="get" %}
<https://api.1inch.io/swagger/avalanche-json>
{% endopenapi %}

{% openapi src="<https://api.1inch.io/swagger/avalanche-json>" path="/v5.2/43114/approve/transaction" method="get" %}
<https://api.1inch.io/swagger/avalanche-json>
{% endopenapi %}

{% openapi src="<https://api.1inch.io/swagger/avalanche-json>" path="/v5.2/43114/approve/allowance" method="get" %}
<https://api.1inch.io/swagger/avalanche-json>
{% endopenapi %}

{% openapi src="<https://api.1inch.io/swagger/avalanche-json>" path="/v5.2/43114/liquidity-sources" method="get" %}
<https://api.1inch.io/swagger/avalanche-json>
{% endopenapi %}

{% openapi src="<https://api.1inch.io/swagger/avalanche-json>" path="/v5.2/43114/tokens" method="get" %}
<https://api.1inch.io/swagger/avalanche-json>
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vulpefi.com/aggregation-protocol/api/swagger/base.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
